package com.pqs9900.pojo.linedata;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import javax.validation.Valid;

/**
 * system
 * 监测点评分execl实体类
 * @author cdf
 * @date 2021/10/27
 */

public class MarkExcel {



    @ExcelProperty(value = "省份",index = 0 )
    private String province;
    @ExcelProperty(value = "供电公司",index = 1)
    private String gdName;
    @ExcelProperty(value = "所属变电站",index = 2)
    private String subName;
    @ExcelProperty(value = "装置名称",index = 3)
    private String devName;
    @ExcelProperty(value = "监测点名称",index = 4)
    private String lineName;
    @ExcelProperty(value = "监测点评级",index = 5)
    private String mark;
    /*id对应mark的字典表id*/
    @ExcelIgnore
    private String markId;

    @ExcelIgnore
    private Integer lineIndex;
    @ExcelIgnore
    private Integer devIndex;

    @ExcelIgnore
    private Integer markLeave;
    //前置机的id
    @ExcelIgnore
    private Long markLeaveId;

    public Long getMarkLeaveId() {
        return markLeaveId;
    }

    public void setMarkLeaveId(Long markLeaveId) {
        this.markLeaveId = markLeaveId;
    }

    public Integer getMarkLeave() {
        return markLeave;
    }

    public void setMarkLeave(Integer markLeave) {
        this.markLeave = markLeave;
    }

    public Integer getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Integer devIndex) {
        this.devIndex = devIndex;
    }

    public String getMarkId() {
        return markId;
    }

    public void setMarkId(String markId) {
        this.markId = markId;
    }

    public Integer getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(Integer lineIndex) {
        this.lineIndex = lineIndex;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }
}
